# H248_AuthenticationHeader Class Reference

`#include <h248.h>`

Inheritance diagram for H248_AuthenticationHeader:

List of all members.

## Public Member Functions

| H248_AuthenticationHeader (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H248_SecurityParmIndex | m_secParmIndex
H248_SequenceNum | m_seqNum
H248_AuthData | m_ad

## Constructor & Destructor Documentation

H248_AuthenticationHeader::H248_AuthenticationHeader | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_AuthenticationHeader::GetDataLength | ( |  | ) | const

PBoolean H248_AuthenticationHeader::Decode | ( | PASN_Stream & | strm | ) |

void H248_AuthenticationHeader::Encode | ( | PASN_Stream & | strm | ) | const

void H248_AuthenticationHeader::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_AuthenticationHeader::Compare | ( | const PObject & | obj | ) | const

PObject* H248_AuthenticationHeader::Clone | ( |  | ) | const

## Member Data Documentation

H248_SecurityParmIndex H248_AuthenticationHeader::m_secParmIndex

H248_SequenceNum H248_AuthenticationHeader::m_seqNum

H248_AuthData H248_AuthenticationHeader::m_ad

The documentation for this class was generated from the following file:

- h248.h